Bug 1735120 - eclipse-ecf: FTBFS in Fedora rawhide/f31
Summary: eclipse-ecf: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-ecf
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:38 UTC by Fedora Release Engineering
Modified: 2019-09-29 07:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-29 07:17:28 UTC


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2019-07-31 18:38 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 18:38 UTC, Fedora Release Engineering
no flags Details
state.log (481 bytes, text/plain)
2019-07-31 18:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 18:38:49 UTC
eclipse-ecf failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632963


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix eclipse-ecf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
eclipse-ecf will be orphaned. Before branching of Fedora 32,
eclipse-ecf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 18:38:52 UTC
Created attachment 1595869 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 18:38:54 UTC
Created attachment 1595870 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 18:38:55 UTC
Created attachment 1595871 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:50:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:38:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:24:46 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Alexander Kurtakov 2019-09-23 12:58:55 UTC
Only eclipse module is supported now. Just orphaned this one now.

Comment 8 Fedora Release Engineering 2019-09-29 04:24:13 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 9 Alexander Kurtakov 2019-09-29 07:17:28 UTC
Eclipse module is the supported way. This one is orphaned.


Note You need to log in before you can comment on or make changes to this bug.